Subject: Re: linux-next: manual merge of the kvm-ppc tree with the powerpc-merge tree

From: Scott Wood <[email-masked]>
Date: Thu, 11 Oct 2012 12:28:56 -0500

On 10/11/2012 12:24:59 PM, Timur Tabi wrote:
> Scott Wood wrote:
> >> > My concern is that when I think of a user-space header file, I =20
> think
> >> > of a
> >> > user-space application that calls ioctls.  I know that KVM guest
> >> > kernels
> >> > run as user-space processes, but that does not seem like a =20
> reason to
> >> > combine all of the header files that the KVM guest kernel needs =20
> with
> >> > "real" user-space header files.
>=20
> > So where should guest headers go?
>=20
> I admit that I don't have any answers, especially since this whole =20
> thing
> is new to me.  Like I said, I don't know much about KVM internals, so =20
> I
> just don't understand why KVM guests need to have access to these =20
> kernel
> header files as if they're user header files.  The guests are still =20
> Linux
> kernels (or other OSes that think they're running as privileged code).

For hypercalls and other paravirt.  That's the point -- they're not =20
kernel headers.  They're guest API headers.

-scott=